# Uses of Class
org.apache.lucene.util.packed.DirectMonotonicReader

Packages that use DirectMonotonicReader
Package
Description
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.util.packed
Packed integer arrays and streams.

- ## Uses of DirectMonotonicReader in org.apache.lucene.codecs.lucene95

  Methods in org.apache.lucene.codecs.lucene95 that return DirectMonotonicReader
  Modifier and Type
  Method
  Description
  `DirectMonotonicReader`
  OrdToDocDISIReaderConfiguration.`getDirectMonotonicReader(IndexInput dataIn)`

- ## Uses of DirectMonotonicReader in org.apache.lucene.util.packed

  Methods in org.apache.lucene.util.packed that return DirectMonotonicReader
  Modifier and Type
  Method
  Description
  `static DirectMonotonicReader`
  DirectMonotonicReader.`getInstance(DirectMonotonicReader.Meta meta, RandomAccessInput data)`
  Retrieves a non-merging instance from the specified slice.
  `static DirectMonotonicReader`
  DirectMonotonicReader.`getInstance(DirectMonotonicReader.Meta meta, RandomAccessInput data, boolean merging)`
  Retrieves an instance from the specified slice.